Bug 961229 - RHEVM-CLI: storage_format option doesn't exists in 'add storagedomain' options, however when it passed it is working
RHEVM-CLI: storage_format option doesn't exists in 'add storagedomain' option...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ayal Baron
Meital Bourvine
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 03:59 EDT by Ilia Meerovich
Modified: 2016-02-10 15:44 EST (History)
13 users (show)

See Also:
Fixed In Version: is2
Doc Type: Release Note
Doc Text:
The --storage_format option is an accepted argument for the add storagedomain command, even though it does not appear in the list of available options.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14622 None None None Never

  None (edit)
Description Ilia Meerovich 2013-05-09 03:59:10 EDT
[RHEVM shell (connected)]# add storagedomain --host-name '10.35.102.103' --name 'DataDomainRest' --storage-address '10.35.64.81' --storage-path '/fastpass/leonid_rhevm_nfs_2013_05_08_16_17_7_11539' --storage-type 'nfs' --type 'data' --expect '201-created'

id             : 851d8e81-d71e-4ff4-b49e-89dbfa131f77
name           : DataDomainRest
available      : 37580963840
committed      : 0
master         : False
status-state   : unknown
storage-address: 10.35.64.81
storage-path   : /fastpass/leonid_rhevm_nfs_2013_05_08_16_17_7_11539
storage-type   : nfs
storage_format : v1
type           : data
used           : 15032385536
build: sf15

[RHEVM shell (connected)]# add storagedomain --host-name '10.35.102.103' --name 'DataDomainRest' --storage-address '10.35.64.81' --storage-path '/fastpass/leonid_rhevm_nfs_2013_05_08_16_17_7_11539' --storage-type 'nfs' --type 'data' --storage_format "v3" --expect '201-created'

id             : 02395e97-a52d-4b9e-8168-dbcb02d7a769
name           : DataDomainRest
available      : 37580963840
committed      : 0
master         : False
status-state   : unknown
storage-address: 10.35.64.81
storage-path   : /fastpass/leonid_rhevm_nfs_2013_05_08_16_17_7_11539
storage-type   : nfs
storage_format : v3
type           : data
used           : 15032385536

[RHEVM shell (connected)]# add storagedomain
correlation_id         expect                 host-id                name                   storage-logical_unit   storage-override_luns  storage-type           type                  
datacenter             format                 host-name              storage-address        storage-mount_options  storage-path           storage-vfs_type
Comment 1 Ilia Meerovich 2013-05-09 08:26:05 EDT
I hope that it is clear, but just in case:
We need this option in cli so it should be added, not blocked
Comment 4 Gadi Ickowicz 2013-07-08 05:01:56 EDT
verified autocomplete shows storage_format on is4:

[RHEVM shell (connected)]# add storagedomain 
correlation_id         expect                 host-id                name                   storage-logical_unit   storage-override_luns  storage-type           storage_format         
datacenter             format                 host-name              storage-address        storage-mount_options  storage-path           storage-vfs_type       type
Comment 5 Itamar Heim 2014-01-21 17:25:07 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:25:47 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:21 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.